Loading...
Searching...
No Matches
Point.h File Reference

Header file for Point class. More...

`#include "Coordinate.h"`
`#include "Json.h"`

Go to the source code of this file.

## Classes

class | openshot::Point
| A Point is the basic building block of a key-frame curve. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Enumerations

enum | openshot::HandleType { openshot::AUTO , openshot::MANUAL }
| When BEZIER interpolation is used, the point's left and right handles are used to influence the direction of the curve. More...
enum | openshot::InterpolationType { openshot::BEZIER , openshot::LINEAR , openshot::CONSTANT }
| This controls how a Keyframe uses this point to interpolate between two points. More...

## Functions

template<class charT , class traits >
std::basic_ostream< charT, traits > & | openshot::operator<< (std::basic_ostream< charT, traits > &o, const openshot::Point &p)

## Detailed Description

Header file for Point class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file Point.h.